Subject: bug#67236: closed (Re: bug#67236: [PATCH] doc/lispref/debugging.texi: Add reference to Profiler docs)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Nov 2023 12:31:02 +0000

Your bug report

#67236: [PATCH] doc/lispref/debugging.texi: Add reference to Profiler docs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67236: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67236
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67236: [PATCH] doc/lispref/debugging.texi: Add reference to Profiler docs
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 Nov 2023 14:29:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Date: Fri, 17 Nov 2023 09:49:36 +0000
> 
> When reading "19 Debugging Lisp Programs" section of Elisp manual, I
> noticed references to "Compiler Errors" and ERT Manual, but not to
> profiler. It looks natural to reference Profiler documentation as well.

Thanks, installed on the emacs-29 branch.

But since Profiling is a section of this very chapter, why not add
cross-references to the other sections of the chapter as well?  So I
added them.

Closing.

Subject: [PATCH] doc/lispref/debugging.texi: Add reference to Profiler docs
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Fri, 17 Nov 2023 09:49:36 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Hi,

When reading "19 Debugging Lisp Programs" section of Elisp manual, I
noticed references to "Compiler Errors" and ERT Manual, but not to
profiler. It looks natural to reference Profiler documentation as well.

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.38, cairo version 1.18.0) of 2023-11-08 built on localhost
Repository revision: 6e78234c0626fd9e187aef60672671df26a5b187
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101009
System Description: Gentoo Linux

Configured using:
 'configure --with-native-compilation CFLAGS=-g3
 JAVAC=/etc/java-config-2/current-system-vm/bin/javac'

>From 72e5fdc672d1ab5a3f3a34d488e9386abc16a4e0 Mon Sep 17 00:00:00 2001
Message-ID: <[email-masked]>
From: Ihor Radchenko <[email-masked]>
Date: Fri, 17 Nov 2023 11:47:46 +0200
Subject: [PATCH] doc/lispref/debugging.texi: Add reference to Profiler docs

---
 doc/lispref/debugging.texi | 1 +
 1 file changed, 1 insertion(+)

diff --git a/doc/lispref/debugging.texi b/doc/lispref/debugging.texi
index 169e3ac37d3..a758a0fcf5e 100644
--- a/doc/lispref/debugging.texi
+++ b/doc/lispref/debugging.texi
@@ -47,6 +47,7 @@ Debugging
 
 @item
 You can profile the program to get hints about how to make it more efficient.
+@xref{Profiling}.
 @end itemize
 
   Other useful tools for debugging input and output problems are the
-- 
2.42.0

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>